# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

# oaid混淆
-keep class com.bun.miitmdid.** { *; }
-keep interface com.bun.supplier.** { *; }
-keep class com.asus.msa.SupplementaryDID.** { *; }
-keep class com.asus.msa.sdid.** { *; }
-keep class com.android.creator.** { *; }
-keep class com.android.msasdk.** { *; }
-keep class com.huawei.hms.** { *; }
-keep interface com.huawei.hms.** { *; }
-keep class com.uodis.opendevice.aidl.** { *; }
-keep class com.zui.deviceidservice.** { *; }
-keep class com.zui.opendeviceidlibrary.** { *; }
-keep class com.meizu.flyme.openidsdk.** { *; }
-keep class com.bun.miitmdid.provider.nubia.NubiaIdentityImpl
-keep class com.heytap.openid.** { *; }
-keep class com.samsung.android.deviceidservice.** { *; }
-keep class com.vivo.identifier.** { *; }
-keep class com.bun.miitmdid.provider.xiaomi.IdentifierManager
-keep class com.bun.lib.** { *; }
-keep class com.coolpad.deviceidsupport.** { *; }